<?php

/*
 *  Plugin activate/deactivate/delete manager
 */
// don't load directly
if (!defined('ABSPATH'))
    exit;
class FightBack_ActivationManager
{
    /*
     * activate plugin function
     */
    public function activate()
    {
        try
        {
            //check if multiuser enabled
            if (is_multisite())
	throw new Exception('Looks like you\'re running WordPress MultiUser version. You need to use your personal version of WordPress to activate the plugin.');
            // check if curl is not installed
            if (!in_array('curl', get_loaded_extensions()))
	throw new Exception('Plugin cannot be activated: Curl extension is not installed on your server.');  
            // check if ini_set is not allowed
            if (@ini_set('max_execution_time', 360) === FALSE)
	    throw new Exception('Plugin cannot be activated: ini_set() is not allowed on your server.');  
        }
        catch(Exception $e)
        {
            // dectivate the plugin & show error
	deactivate_plugins(plugin_basename(__FILE__)); // Deactivate ourselves
	wp_die($e->getMessage(), 'Fightback plugin activation error', array('back_link' => true));
        }
        
        /** @todo: remove in 1.4 version */
        if (get_option('fightback_update_required'))
            delete_option('fightback_update_required');
        
        // add option to store the wp categories for posting into them
        add_option('fightback_categories');
        add_option('fightback_authors');
    }

    /*
     * deactivate plugin function
     */
    static function deactivate()
    {
        
    }

    /*
     * uninstall plugin function
     */
    static function uninstall()
    {
        //@todo: remove in 1.4 version
        if (get_option('fightback_update_required'))
            delete_option('fightback_update_required');
        
        if (get_option('fightback_last_version'))
            delete_option('fightback_last_version');
        
        delete_option('fightback_next_version_checks_at');
        delete_option('fightback_categories');
        delete_option('fightback_authors');
        delete_option('fightback_status');
    }

}