<?php

/*
 * Sanitize POST
 */
function seofb_sanitize_post()
{
    $_POST = array_map('seofb_clear_value',$_POST);
}

/**
 * @param type $val
 * @param type $key 
 */
function seofb_clear_value(&$val)
{
    //check on array because problem with the POST and muliarray
	if (is_array($val))
	{
		foreach ($val as $key=>$item)
		{
			$val[$key] = seofb_clear_value($item);
		}
	}
	else
	{
		$val = trim(stripslashes($val));
	}
	
	return $val;
}

/*
 * Send headers on admin page if they hasn't been already sent
 */
function seofb_send_admin_headers()
{
    if (isset($_GET['noheader'])) require_once(ABSPATH . 'wp-admin/admin-header.php');
}

/**
 * Start session if it hasn't been started yet
 */
function seofb_start_session()
{
    if ( isset($_GET['noheader']) && !session_id() ) session_start();
}

/**
 * Print errors in admin page
 * @param array $errors 
 */
function seofb_show_admin_errors($errors)
{
    echo '<div id="message" class="error">';
    foreach ($errors as $error)
    {
	echo '<p>' . $error . '</p>';
    }
    echo '</div>';
}

/**
 * Print success message in admin page
 * @param string $success
 */
function seofb_show_admin_success($success)
{
    echo '<div id="message" class="updated"><p>' . $success . '</p></div>';
}

/**
 * Add message to log
 * It's a simple version
 * @param string $message
 */
function seofb_log($message)
{
	if (is_writable(SEOFB_LOGS_DIR))
	{
		file_put_contents(SEOFB_LOGS_DIR.date('Y-m-d').'.txt', date('H:i:s e').' - '.$message.PHP_EOL,FILE_APPEND);
	}
}

/**
 * Add message to log and die
 * @param string $message
 */
function seofb_log_die($message)
{
	seofb_log($message);
	die();
}