<script type="text/javascript">
    jQuery(document).ready(function(){
    
        checkUncheckCats();
        checkUncheckAuthors();
    
        jQuery("#category-all").change(function(){
            checkUncheckCats();
        });
        
        jQuery("#author-all").change(function(){
            checkUncheckAuthors();
        });
    })
    function checkUncheckCats()
    {
        if(jQuery("#category-all").is(':checked')){
            jQuery(".category-wrap").hide();
        }else{
            jQuery(".category-wrap").show();
        }
    }
    
    function checkUncheckAuthors()
    {
        if(jQuery("#author-all").is(':checked')){
            jQuery(".author-wrap").hide();
        }else{
            jQuery(".author-wrap").show();
        }
    }
</script>
<style type="text/css">
    form.inline-form{
        display: inline-block;
        margin-right: 20px;
    }
</style>
<div class="wrap">
    <div id="icon-plugins" class="icon32"><br /></div>
    <h2>FightBack plugin settings</h2>

    <?php if (isset($errors)) seofb_show_admin_errors($errors); ?>
    <?php if (isset($success)) seofb_show_admin_success($success); ?>
    <?php if (get_option('fightback_last_version') && SEOFB_PLUGIN_VERSION < get_option('fightback_last_version')): ?>
        <div class="updated"><p>New version is available. Please update the plugin ASAP.</p></div>
    <?php endif; ?>

    <?php $fightback_status = get_option('fightback_status'); ?>

    <?php if (get_option('fightback_code')): ?>
        <h3>Your current FightBack Code is <?php echo htmlspecialchars(get_option('fightback_code')); ?></h3>

    <?php endif; ?>

    <!-- show connection status -->
    <?php if ($fightback_status && $fightback_status['status'] == 'connected'):; ?>
        <p>Connected at: <?php echo htmlspecialchars($fightback_status['date']); ?></p>

        <!-- just disconnect -->
        <form method="post" action="?page=fightback" class="inline-form">
            <input type="submit" name="seofb_disconnect" id="submit" class="button-secondary" value="Disconnect"  />
        </form>

    <?php elseif ($fightback_status && $fightback_status['status'] == 'disconnected'): ?>
        <p>Disconnected at: <?php echo $fightback_status['date']; ?>. <span class="description">(<?php echo $fightback_status['reason']; ?>)</span></p>
    <?php endif; ?>

    <?php if (get_option('fightback_code')): ?>
        <!-- clear code & disconnect -->
        <form method="post" action="?page=fightback" class="inline-form">
            <input type="hidden" name="seofb_clear_code" value="true" />
            <input type="submit" name="seofb_disconnect" id="submit" class="button-secondary" value="Clear Code"  />
        </form>
    <?php endif; ?>

    <?php if (!$fightback_status OR $fightback_status['status'] == 'disconnected'): ?>
        <form method="post" action="?page=fightback" id="fightback_settings">

            <?php if (!get_option('fightback_code')): ?>
                <table class="form-table">

                    <tr valign="top">
                        <th scope="row"><label for="name">FightBack Code:*</label></th>
                        <td>
                            <input name="fightback_code" type="text" id="fightback_code" value="" class="regular-text" />
                            <p>Copy and paste here a WP API code from the FightBack application and press the Connect button</p>
                        </td>
                    </tr>

                </table>

            <?php endif; ?>

            <p class="submit"><input type="submit" name="seofb_connect" id="submit" class="button-primary" value="Connect"  /></p>

        </form>
    <?php endif; ?>

    <!-- fightback settings form -->
    <h3>Fightback Settings:</h3>
    <form method="post" action="?page=fightback" id="fightback_settings">
        <table class="form-table">

            <tr valign="top">
                <th scope="row"><label for="seofb[category]">Categories for posting:</label></th>
                <td>
                    It's important to add categories so your blog looks more natural. Click <a href="<?php echo admin_url('edit-tags.php?taxonomy=category'); ?>">HERE</a> to add categories to your blog.
                    <fieldset id="categories-for-posting">

                        <label for="category-all"><input name="seofb[category][]" type="checkbox" id="category-all" value="all" <?php if (!$cur_categories) echo "checked"; ?>>All Categories (by default)</label><br>

                        <?php foreach ($seofb_all_categories as $seofb_cat): ?>
                            <label class="category-wrap"  for="category-<?php echo $seofb_cat->term_id; ?>">
                                <input name="seofb[category][]" type="checkbox" id="category-<?php echo $seofb_cat->term_id; ?>" value="<?php echo $seofb_cat->term_id; ?>" <?php echo (is_array($cur_categories) && in_array($seofb_cat->term_id, $cur_categories)) ? 'checked' : ''; ?>>
                                <?php echo $seofb_cat->name; ?><br>
                            </label>
                        <?php endforeach; ?>

                    </fieldset>
                </td>
            </tr>

            <tr>
                <th scope="row"><label for="seofb[author]">WP Authors for posting:</label></th>
                <td>
                    <fieldset id="categories-for-posting">

                        <label for="author-all"><input name="seofb[author][]" type="checkbox" id="author-all" value="all" <?php if (!$cur_authors) echo "checked"; ?>>All Authors (by default)</label><br>

                        <?php foreach ($seofb_all_authors as $seofb_author): ?>
                            <label class="author-wrap"  for="author-<?php echo $seofb_author->ID; ?>">
                                <input name="seofb[author][]" type="checkbox" id="author-<?php echo $seofb_author->ID; ?>" value="<?php echo $seofb_author->ID; ?>" <?php echo (is_array($cur_authors) && in_array($seofb_author->ID, $cur_authors)) ? 'checked' : ''; ?>>
                                <?php echo $seofb_author->user_nicename; ?><br>
                            </label>
                        <?php endforeach; ?>

                    </fieldset>
                </td>
            </tr>

        </table>
        <p class="submit"><input type="submit" id="submit" name="seofb_settings" class="button-primary" value="Save Settings"  /></p>
    </form>
</div>